curl --request PUT \
--url https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{fiatAccountId}/routingPreferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"inboundBankLabel": "customers_bank",
"outboundBankLabel": "scb"
}
'import requests
url = "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{fiatAccountId}/routingPreferences"
payload = {
"currency": "USD",
"inboundBankLabel": "customers_bank",
"outboundBankLabel": "scb"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', inboundBankLabel: 'customers_bank', outboundBankLabel: 'scb'})
};
fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{fiatAccountId}/routingPreferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"currency": "USD",
"inbound": {
"bankLabel": "customers_bank",
"bankName": "Customers Bank",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
},
"outbound": {
"bankLabel": "customers_bank",
"bankName": "Customers Bank",
"createDate": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z"
}
}
}Update wire routing preferences
Creates or updates the settlement bank routing preferences for a wire fiat account.
At least one of inboundBankLabel or outboundBankLabel must be provided in the request.
Note: This endpoint will reject updates if the account has active Express routes configured. Accounts with Express routes must update preferences through the Circle Mint UI.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a fiat account.
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
Request body for updating routing preferences. At least one of inboundBankLabel or outboundBankLabel must be provided.
The currency code (e.g., USD, BRL). Must match a supported currency for the account type.
"USD"
Bank identifier for inbound (deposit) transactions.
"customers_bank"
Bank identifier for outbound (withdrawal) transactions.
"scb"
Response
Successfully updated routing preferences for the wire account.
The current routing preferences for a fiat account.
Show child attributes
Show child attributes
Was this page helpful?